import { UpgradeChartOptions } from './upgrade-chart-options.js';
/**
 * Builder for {@link UpgradeChartOptions}.
 */
export declare class UpgradeChartOptionsBuilder {
    _namespace?: string;
    _kubeContext?: string;
    _reuseValues: boolean;
    _extraArgs?: string;
    _version?: string;
    private constructor();
    static builder(): UpgradeChartOptionsBuilder;
    /**
     * Sets the namespace where the release should be upgraded.
     * @param namespace The namespace.
     * @returns This builder instance.
     */
    namespace(namespace: string): UpgradeChartOptionsBuilder;
    /**
     * Sets the Kubernetes context to use.
     * @param context The Kubernetes context.
     * @returns This builder instance.
     */
    kubeContext(context: string): UpgradeChartOptionsBuilder;
    /**
     * Sets whether to reuse the last release's values.
     * @param reuse Whether to reuse values.
     * @returns This builder instance.
     */
    reuseValues(reuse: boolean): UpgradeChartOptionsBuilder;
    /**
     * Sets additional arguments to pass to the helm command.
     * @param args The additional arguments.
     * @returns This builder instance.
     */
    extraArgs(arguments_: string): UpgradeChartOptionsBuilder;
    /**
     * Sets the version of the chart to upgrade to.
     * @param version The version.
     * @returns This builder instance.
     */
    version(version: string): UpgradeChartOptionsBuilder;
    build(): UpgradeChartOptions;
}
